Mailrelay API Reference

Add a new campaign

POST /campaigns

Add a new campaign

Parameters

NameTypeDescription
sender_id integer Sender
subject string Subject
preview_text string Preview text
html string HTML
target string Allows you to specify to whom this campaign will be sent
segment_id integer Segment id. This is required if target is set to segment
group_ids array Groups IDs. This is required if target is set to groups. It should be an array of group ids. Example: [1, 4, 5]
campaign_folder_id integer Campaign folder
url_token boolean Add legacy tokens to URLs
analytics_utm_campaign string Google Analytics™ campaign
use_premailer boolean Apply common fixes for email clients
reply_to string Reply-To email

Responses

StatusDescription
201 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
500 An internal error happened. Try again later.